FreeBSD : opera -- Data URIs can be used to allow XSS (77b9f9bc-7fdf-11df-8a8d-0008743bf21a)

High Nessus Plugin ID 47144


The remote FreeBSD host is missing one or more security-related updates.


The Opera Desktop Team reports :

Data URIs are allowed to run scripts that manipulate pages from the site that directly opened them. In some cases, the opening site is not correctly detected. In these cases, Data URIs may erroneously be able to run scripts so that they interact with sites that did not directly cause them to be opened.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 47144

File Name: freebsd_pkg_77b9f9bc7fdf11df8a8d0008743bf21a.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2010/06/28

Modified: 2014/08/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:opera, p-cpe:/a:freebsd:freebsd:opera-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2010/06/25

Vulnerability Publication Date: 2010/06/21